package org.gcube.portlets.user.td.csvexportwidget.client;

import org.gcube.portlets.user.td.gwtservice.shared.csv.CSVExportSession;
import org.gcube.portlets.user.td.wizardwidget.client.WizardWindow;

import com.google.web.bindery.event.shared.EventBus;

/**
 * 
 */
public class CSVExportWizardTD extends WizardWindow {

	protected CSVExportSession exportSession;

	/**
	 * The id of the {@link CSVTarget} to use.
	 * 
	 * @param targetId
	 */

	public CSVExportWizardTD(String title, EventBus eventBus) {
		super(title, eventBus);

		exportSession = new CSVExportSession();

		CSVExportConfigCard csvExportConfigCard = new CSVExportConfigCard(
				exportSession);
		addCard(csvExportConfigCard);
		csvExportConfigCard.setup();

	}

	

}